=== debian/changelog ===
trac (1.0.1-2) unstable; urgency=low

  [ Daniel Kahn Gillmor ]
  * upload to unstable
  * clean up README.Debian

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 09 May 2013 17:05:50 -0400

trac (1.0.1-1) experimental; urgency=low

  [ Daniel Kahn Gillmor ]
  * New Upstream Release (Closes: #690018)
  * bumped debhelper to version 9
  * added myself to Uploaders
  * dropped 30_default_charset_utf8.patch, incorporated upstream.
  * bumped Standard-Versions to 3.9.4 (no changes needed)
  * switched Vcs-*: to collab-maint git

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 28 Mar 2013 04:56:50 -0400
