=== debian/control ===
Source: trac
Section: web
Priority: optional
Build-Depends: debhelper (>= 9), python-genshi (>= 0.6)
Build-Depends-Indep: python (>= 2.6.6-3~),
                     python-babel (>= 0.9.5),
                     python-setuptools (>= 0.6)
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>,
           W. Martin Borgert <debacle@debian.org>,
           Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
Vcs-Git: git://anonscm.debian.org/collab-maint/trac.git
X-Python-Version: >= 2.5
Homepage: http://trac.edgewall.com

Package: trac
Architecture: all
Depends: libjs-excanvas,
         libjs-jquery,
         libjs-jquery-ui,
         libjs-jquery-timepicker,
         python-genshi (>= 0.6),
         python-setuptools (>= 0.6),
         ${misc:Depends},
         ${python:Depends}
Recommends: apache2 | httpd,
            python-babel (>= 0.9.5),
            python-docutils (>= 0.3.9),
            python-pygments (>= 0.6),
            python-subversion,
            python-tz
Suggests: libapache2-mod-wsgi,
          python-psycopg2,
          python-textile (>= 2.0),
          trac-accountmanager,
          trac-authopenid,
          trac-bitten,
          trac-bzr (>= 0.2+bzr45),
          trac-customfieldadmin,
          trac-email2trac,
          trac-graphviz,
          trac-ja-resource,
          trac-mastertickets,
          trac-mercurial (>= 0.11.0.4),
          trac-spamfilter,
          trac-wikiprint,
          trac-wikirename,
          trac-wysiwyg,
          trac-xmlrpc
Description: Enhanced wiki and issue tracking system for software development projects
 Trac uses a minimalistic approach to web-based software project management.
 Its mission is to help developers write great software while staying out of
 the way. Trac should impose as little as possible on a team's established
 development process and policies.
 It provides an interface to Subversion (or other version control systems),
 an integrated Wiki and convenient reporting facilities.
 Trac allows wiki markup in issue descriptions and commit messages, creating
 links and seamless references between bugs, tasks, changesets, files and
 wiki pages. A timeline shows all current and past project events in order,
 making the acquisition of an overview of the project and tracking progress
 very easy. The roadmap shows the road ahead, listing the upcoming milestones.
