=== debian/watch ===
version=3
http://ftp.edgewall.com/pub/trac/Trac-([\d\.]*).tar.gz debian uupdate
