## trac 1.0.2%2bdfsg

=== Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 
  ---------------- Standalone test server
 
-  server              start tracd
+  [start-]server      start tracd
 
   [port=...]          variable for selecting the port
   [auth=...]          variable for specifying authentication
@@ -95,10 +95,17 @@
   [epydocopts=...]    variable containing extra options for Epydoc
   [dotpath=/.../dot]  path to Graphviz dot program (not used yet)
 
+ ---------------- Miscellaneous
+
+  start-admin         start trac-admin (on `env')
+  start-python        start the Python interpreter
+
+  [adminopts=...]     variable containing extra options for trac-admin
+
 endef
 export HELP
 
-# ` (keep emacs font-lock happy)
+# ' (keep emacs font-lock happy)
 
 define HELP_CFG
  It looks like you don't have a Makefile.cfg file yet.
@@ -154,6 +161,11 @@
 
 # ----------------------------------------------------------------------------
 #
+# Copy Makefile.cfg.sample to Makefile.cfg and adapt to your local
+# environment, no customizations to the present Makefile should be
+# necessary.
+#
+#
 -include Makefile.cfg
 #
 # ----------------------------------------------------------------------------
@@ -220,7 +232,7 @@
 else
 compile:
 	python setup.py $(foreach catalog,$(catalogs), \
-	    compile_catalog$(_catalog))
+	    compile_catalog$(_catalog)) generate_messages_js
 endif
 
 
@@ -395,18 +407,3 @@
 #  - as soon as a DocTestSuite is run, figleaf gets confused
 #  - functional-test-figleaf is broken (no .figleaf generated)
 #
-# ----------------------------------------------------------------------------
-
-.PHONY: figleaf clean-figleaf show-figleaf
-
-figleaf: clean-figleaf test-figleaf show-figleaf
-
-clean-figleaf:
-	rm -f .figleaf* *.figleaf
-	rm -fr figleaf
-
-show-figleaf: figleaf/index.html
-
-figleaf/index.html: $(wildcard *.figleaf)
-	figleaf2html \
-	    --output-directory=figleaf \
