## trac 1.0.2+dfsg

=== debian/changelog ===
trac (1.0.2+dfsg-2) unstable; urgency=medium

  * apply upstream patch to fix syntax highlighting (Closes: #771799)

 -- W. Martin Borgert <debacle@debian.org>  Wed, 03 Dec 2014 12:00:13 +0000

trac (1.0.2+dfsg-1) unstable; urgency=medium

  [gregor herrmann <gregoa@debian.org>  Tue, 25 Nov 2014 23:25:18 +0100]
  * Fix "[trac] Some sources are not included in your package":
    repack to drop minified javascript files from source package:
    - debian/copyright:
      + add Files-Excluded
      + update Comment about them
    - drop debian/source/lintian-overrides
    - add dversionmangle to debian/watch
    (Closes: #769833)

 -- W. Martin Borgert <debacle@debian.org>  Tue, 25 Nov 2014 23:02:26 +0000

trac (1.0.2-1) unstable; urgency=low

  * new upstream (Closes: #766681).
  * bump Standards-Version to 3.9.6 (no changes needed)

 -- W. Martin Borgert <debacle@debian.org>  Fri, 24 Oct 2014 23:10:51 +0000

trac (1.0.1-3) unstable; urgency=medium

  * clean up build process now that dh_python2 only expects there to be a
    single version of python 2 installed (Closes: #750338)
  * override lintian warnings about sourceless javascript, which we had
    already dealt with by shipping links to the debian packages (and not
    the minified js)
  * bump Standards-Version to 3.9.5 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 25 Jun 2014 12:39:22 -0400
