=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://ftp.edgewall.com/pub/trac/Trac-([\d\.]*).tar.gz debian uupdate
