## trac 1.0.8+dfsg

=== debian/changelog ===
trac (1.0.8+dfsg-1) unstable; urgency=low

  * new upstream (Closes: #786467)
  * removed syntax highlighting patch
  * add build-dep on dh-python

 -- W. Martin Borgert <debacle@debian.org>  Wed, 12 Aug 2015 00:42:18 +0000
