## trac 1.0.9+dfsg

=== Makefile ===
--- 
+++ 
@@ -124,9 +124,12 @@
 
 .PHONY: all help status clean clean-bytecode clean-mo
 
+%.py : status
+	python setup.py -q test -s $(subst /,.,$(@:.py=)).suite $(testopts)
+
 ifdef test
 all: status
-	python $(test) $(testopts)
+	python setup.py -q test -s $(subst /,.,$(test:.py=)).suite $(testopts)
 else
 all: help
 endif
@@ -139,15 +142,22 @@
 	@echo "$$HELP_CFG"
 
 status:
-	@echo -n "Python version: "
-	@python -V
-	@echo -n "figleaf: "
-	@-which figleaf 2>/dev/null || echo
-	@echo -n "coverage: "
-	@-which coverage 2>/dev/null || echo
-	@echo "PYTHONPATH=$$PYTHONPATH"
-	@echo "TRAC_TEST_DB_URI=$$TRAC_TEST_DB_URI"
-	@echo "server-options=$(server-options)"
+	@echo
+	@echo -n "Python: "
+	@which python
+	@echo
+	@python contrib/make_status.py
+	@echo
+	@echo "Variables:"
+	@echo "  PATH=$(PATH-extension)$(SEP)\$$PATH"
+	@echo "  PYTHONPATH=$(PYTHONPATH-extension)$(SEP)\$$PYTHONPATH"
+	@echo "  TRAC_TEST_DB_URI=$$TRAC_TEST_DB_URI"
+	@echo "  server-options=$(server-options)"
+	@echo
+	@echo "External dependencies:"
+	@echo -n "  Git version: "
+	@git --version 2>/dev/null || echo "not installed"
+	@echo
 
 Trac.egg-info: status
 	python setup.py egg_info
@@ -155,7 +165,7 @@
 clean: clean-bytecode clean-figleaf clean-coverage clean-doc
 
 clean-bytecode:
-	find -name \*.py[co] -exec rm {} \;
+	find . -name \*.py[co] -exec rm {} \;
 
 Makefile: ;
 
@@ -337,7 +347,7 @@
 	python ./trac/test.py --skip-functional-tests $(testopts)
 
 functional-test: Trac.egg-info
-	python trac/tests/functional/__init__.py -v $(testopts)
+	python trac/tests/functional/__init__.py $(testopts)
 
 test-wiki:
 	python trac/tests/allwiki.py $(testopts)
@@ -368,6 +378,8 @@
 #
 # ----------------------------------------------------------------------------
 
+COVERAGEOPTS ?= --branch --source=trac,tracopt
+
 .PHONY: coverage clean-coverage show-coverage
 
 coverage: clean-coverage test-coverage show-coverage
@@ -384,26 +396,16 @@
 endif
 
 unit-test-coverage:
-	coverage run -a $(coverageopts) trac/test.py --skip-functional-tests
+	coverage run -a $(coverageopts) $(COVERAGEOPTS) \
+	    trac/test.py --skip-functional-tests $(testopts)
 
 functional-test-coverage:
-	FIGLEAF='coverage run -a $(coverageopts)' python \
-	    trac/tests/functional/testcases.py -v
+	FIGLEAF='coverage run -a $(coverageopts) $(COVERAGEOPTS)' \
+	python trac/tests/functional/__init__.py -v $(testopts)
 
 show-coverage: htmlcov/index.html
-	#coverage report
+	$(if $(START),$(START) $(<))
 
 htmlcov/index.html:
-	coverage html \
-	    --omit=$(subst $(space),$(comma),$(wildcard trac/*/templates)),trac/templates
-
-# ----------------------------------------------------------------------------
-#
-# Figleaf based coverage tasks
-#
-# (see http://darcs.idyll.org/~t/projects/figleaf/doc/)
-#
-# ** NOTE: there are still several issues with this **
-#  - as soon as a DocTestSuite is run, figleaf gets confused
-#  - functional-test-figleaf is broken (no .figleaf generated)
-#
+	coverage html --omit=*/__init__.py
+
