=== debian/changelog ===
trac (1.0.9+dfsg-1) unstable; urgency=low

  * new upstream (Closes: #806135)

 -- W. Martin Borgert <debacle@debian.org>  Sat, 12 Dec 2015 01:49:46 +0000
