=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Build-Depends: debhelper (>= 9), python-genshi (>= 0.6)
 Build-Depends-Indep: python (>= 2.6.6-3~),
                      python-babel (>= 0.9.5),
-                     python-setuptools (>= 0.6)
+                     python-setuptools (>= 0.6),
+                     dh-python
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Otavio Salvador <otavio@debian.org>,
            W. Martin Borgert <debacle@debian.org>,
