=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	find debian/trac/usr/share/pyshared/trac -type f -print0 2>/dev/null | xargs -0r chmod 644
-	chmod 755 debian/trac/usr/share/pyshared/trac/admin/templates/deploy_trac.*
-	chmod 755 debian/trac/usr/share/pyshared/trac/web/*_frontend.py
+	find debian/trac/usr/lib/python2.7/dist-packages/trac -type f -print0 2>/dev/null | xargs -0r chmod 644
+	chmod 755 debian/trac/usr/lib/python2.7/dist-packages/trac/admin/templates/deploy_trac.*
+	chmod 755 debian/trac/usr/lib/python2.7/dist-packages/trac/web/*_frontend.py
 
 override_dh_auto_install:
 	$(BACKUP_JQUERY_UI_IMAGES)
