## trac 1.0.12+dfsg

=== Makefile ===
--- 
+++ 
@@ -149,14 +149,16 @@
 	@python contrib/make_status.py
 	@echo
 	@echo "Variables:"
-	@echo "  PATH=$(PATH-extension)$(SEP)\$$PATH"
-	@echo "  PYTHONPATH=$(PYTHONPATH-extension)$(SEP)\$$PYTHONPATH"
+	@echo "  PATH=$$PATH"
+	@echo "  PYTHONPATH=$$PYTHONPATH"
 	@echo "  TRAC_TEST_DB_URI=$$TRAC_TEST_DB_URI"
 	@echo "  server-options=$(server-options)"
 	@echo
 	@echo "External dependencies:"
 	@echo -n "  Git version: "
 	@git --version 2>/dev/null || echo "not installed"
+	@echo -n "  Subversion version: "
+	@svn --version -q 2>/dev/null || echo "not installed"
 	@echo
 
 Trac.egg-info: status
