=== debian/changelog ===
trac (1.0.12+dfsg-1) unstable; urgency=low
 
  * new upstream
  * watch only for stable (1.0.*) versions
  * bump standards-version; no changes required.

 -- W. Martin Borgert <debacle@debian.org>  Thu, 21 Jul 2016 22:30:29 +0000
