=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Uploaders: Otavio Salvador <otavio@debian.org>,
            W. Martin Borgert <debacle@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/trac.git
 X-Python-Version: >= 2.5
 Homepage: http://trac.edgewall.com
