## trac 1.0.13+dfsg

=== Makefile ===
--- 
+++ 
@@ -143,7 +143,7 @@
 
 status:
 	@echo
-	@echo -n "Python: "
+	@printf "Python: "
 	@which python
 	@echo
 	@python contrib/make_status.py
@@ -155,9 +155,9 @@
 	@echo "  server-options=$(server-options)"
 	@echo
 	@echo "External dependencies:"
-	@echo -n "  Git version: "
+	@printf "  Git version: "
 	@git --version 2>/dev/null || echo "not installed"
-	@echo -n "  Subversion version: "
+	@printf "  Subversion version: "
 	@svn --version -q 2>/dev/null || echo "not installed"
 	@echo
 
@@ -255,7 +255,7 @@
 	@echo "checking catalogs for $(locales)..."
 
 check-%:
-	@echo -n "$(@): "
+	@printf "$(@): "
 	python setup.py $(foreach catalog,$(catalogs), \
 	    check_catalog$(_catalog) -l $(*))
 	@$(foreach catalog,$(catalogs), \
@@ -271,14 +271,14 @@
 stats-pot:
 	@echo "translation statistics for catalog templates:"
 	@$(foreach catalog,$(catalogs), \
-	    echo -n "$(catalog.pot): "; \
+	    printf "$(catalog.pot): "; \
 	    msgfmt --statistics $(catalog.pot);)
 	@rm -f messages.mo
 
 stats-%:
 	@$(foreach catalog,$(catalogs), \
 	    [ -e $(catalog.po) ] \
-	    && { echo -n "$(catalog.po): "; \
+	    && { printf "$(catalog.po): "; \
 	         msgfmt --statistics $(catalog.po); } \
 	    || echo "$(catalog.po) doesn't exist (make init-$(*))";)
 	@rm -f messages.mo
@@ -319,7 +319,7 @@
 	@diff=l10n-$(*).diff; \
 	$(vc) diff trac/locale/$(*) > $$diff; \
 	[ -s $$diff ] && { \
-	    echo -n "# $(*) changed -> "; \
+	    printf "# $(*) changed -> "; \
 	    python contrib/l10n_diff_index.py $$diff; \
 	} || rm $$diff
