=== debian/changelog ===
trac (1.0.13+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports
  * fix links (Closes: #846650)

 -- W. Martin Borgert <debacle@debian.org>  Mon, 05 Dec 2016 00:03:06 +0000

trac (1.0.13+dfsg-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Remove PAPT from Maintainer field to complete migration to collab-maint

  [ W. Martin Borgert ]
  * new upstream

 -- W. Martin Borgert <debacle@debian.org>  Mon, 03 Oct 2016 22:52:31 +0000
