=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
                      python-babel (>= 0.9.5),
                      python-setuptools (>= 0.6),
                      dh-python
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Otavio Salvador <otavio@debian.org>,
-           W. Martin Borgert <debacle@debian.org>,
+Maintainer: Otavio Salvador <otavio@debian.org>
+Uploaders: W. Martin Borgert <debacle@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
