## trac 1.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
   status              show which Python is used and other infos
 
   [python=...]        variable for selecting Python version
+  [pythonopts=...]    variable containing extra options for the interpreter
 
  ---------------- Testing tasks
 
@@ -125,11 +126,11 @@
 .PHONY: all help status clean clean-bytecode clean-mo
 
 %.py : status
-	python setup.py -q test -s $(subst /,.,$(@:.py=)).suite $(testopts)
+	$(PYTHON) setup.py -q test -s $(subst /,.,$(@:.py=)).test_suite $(testopts)
 
 ifdef test
 all: status
-	python setup.py -q test -s $(subst /,.,$(test:.py=)).suite $(testopts)
+	$(PYTHON) setup.py -q test -s $(subst /,.,$(test:.py=)).test_suite $(testopts)
 else
 all: help
 endif
@@ -143,10 +144,9 @@
 
 status:
 	@echo
-	@printf "Python: "
-	@which python
+	@echo "Python: $$(which $(PYTHON)) $(pythonopts)"
 	@echo
-	@python contrib/make_status.py
+	@$(PYTHON) contrib/make_status.py
 	@echo
 	@echo "Variables:"
 	@echo "  PATH=$$PATH"
@@ -162,7 +162,7 @@
 	@echo
 
 Trac.egg-info: status
-	python setup.py egg_info
+	$(PYTHON) setup.py egg_info
 
 clean: clean-bytecode clean-figleaf clean-coverage clean-doc
 
@@ -213,29 +213,29 @@
 	@$(foreach catalog,$(catalogs), \
 	    [ -e $(catalog.po) ] \
 	    && echo "$(catalog.po) already exists" \
-	    || python setup.py init_catalog$(_catalog) -l $(*);)
+	    || $(PYTHON) setup.py init_catalog$(_catalog) -l $(*);)
 
 
 extract extraction:
-	python setup.py $(foreach catalog,$(catalogs),\
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs),\
 	    extract_messages$(_catalog))
 
 
 update-%:
-	python setup.py $(foreach catalog,$(catalogs), \
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs), \
 	    update_catalog$(_catalog) -l $(*)) $(updateopts)
 
 ifdef locale
 update: $(addprefix update-,$(locale))
 else
 update:
-	python setup.py $(foreach catalog,$(catalogs), \
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs), \
 	    update_catalog$(_catalog)) $(updateopts)
 endif
 
 
 compile-%:
-	python setup.py $(foreach catalog,$(catalogs), \
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs), \
 	    compile_catalog$(_catalog) -l $(*)) \
 	    generate_messages_js -l $(*)
 
@@ -243,7 +243,7 @@
 compile: $(addprefix compile-,$(locale))
 else
 compile:
-	python setup.py $(foreach catalog,$(catalogs), \
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs), \
 	    compile_catalog$(_catalog)) generate_messages_js
 endif
 
@@ -256,7 +256,7 @@
 
 check-%:
 	@printf "$(@): "
-	python setup.py $(foreach catalog,$(catalogs), \
+	$(PYTHON) setup.py $(foreach catalog,$(catalogs), \
 	    check_catalog$(_catalog) -l $(*))
 	@$(foreach catalog,$(catalogs), \
 	    msgfmt --check $(catalog.po) &&) echo msgfmt OK
@@ -304,10 +304,10 @@
     $(MESSAGES_TOTAL)
 
 summary-%:
-	@python -c "print 'l10n/$(*): translations updated (%d%%)' \
+	@$(PYTHON) -c "print('l10n/$(*): translations updated (%d%%)' \
 	    % (($(foreach catalog,$(catalogs), \
 	          $(shell $(translated-sh)) + ) 0) * 100.0 \
-	       / $(MESSAGES_TOTAL))"
+	       / $(MESSAGES_TOTAL)))"
 	@rm -f messages.mo
 
 
@@ -320,7 +320,7 @@
 	$(vc) diff trac/locale/$(*) > $$diff; \
 	[ -s $$diff ] && { \
 	    printf "# $(*) changed -> "; \
-	    python contrib/l10n_diff_index.py $$diff; \
+	    $(PYTHON) contrib/l10n_diff_index.py $$diff; \
 	} || rm $$diff
 
 # The above create l10n-xy.diff files but also a  l10n-xy.diff.index
@@ -346,13 +346,13 @@
 test: unit-test functional-test
 
 unit-test: Trac.egg-info
-	python ./trac/test.py --skip-functional-tests $(testopts)
+	$(PYTHON) ./trac/test.py --skip-functional-tests $(testopts)
 
 functional-test: Trac.egg-info
-	python trac/tests/functional/__init__.py $(testopts)
+	$(PYTHON) trac/tests/functional/__init__.py $(testopts)
 
 test-wiki:
-	python trac/tests/allwiki.py $(testopts)
+	$(PYTHON) trac/tests/allwiki.py $(testopts)
 
 # ----------------------------------------------------------------------------
 #
@@ -403,11 +403,3 @@
 
 functional-test-coverage:
 	FIGLEAF='coverage run -a $(coverageopts) $(COVERAGEOPTS)' \
-	python trac/tests/functional/__init__.py -v $(testopts)
-
-show-coverage: htmlcov/index.html
-	$(if $(START),$(START) $(<))
-
-htmlcov/index.html:
-	coverage html --omit=*/__init__.py
-
