=== debian/changelog ===
trac (1.2+dfsg-1) unstable; urgency=medium

  * new upstream version
  * fix links (Closes: #846650)
  * simplify debian/rules, use pybuild

 -- W. Martin Borgert <debacle@debian.org>  Sat, 03 Dec 2016 20:55:45 +0000
