## trac 1.2.2+dfsg

=== debian/changelog ===
trac (1.2.2+dfsg-1) unstable; urgency=medium

  * new upstream version
  * move package back to PAPT, remove Otavio (Closes: #847250)
  * bump standards version and dh compat
  * move git repo to salsa

 -- W. Martin Borgert <debacle@debian.org>  Tue, 06 Mar 2018 22:04:06 +0000
