=== debian/control ===
--- 
+++ 
@@ -1,17 +1,26 @@
 Source: trac
 Section: web
 Priority: optional
-Build-Depends: debhelper (>= 9), python-genshi (>= 0.6)
-Build-Depends-Indep: python (>= 2.6.6-3~),
+Build-Depends: debhelper (>= 11)
+Build-Depends-Indep: dh-python,
+                     git,
+                     python (>= 2.6.6-3~),
                      python-babel (>= 0.9.5),
+                     python-docutils,
+                     python-genshi (>= 0.6),
+                     python-lxml,
+                     python-pygments,
                      python-setuptools (>= 0.6),
-                     dh-python
-Maintainer: Otavio Salvador <otavio@debian.org>
+                     python-subversion,
+                     python-textile,
+                     python-twill
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: W. Martin Borgert <debacle@debian.org>,
            Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/trac.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/trac.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/applications/trac
+Vcs-Git: https://salsa.debian.org/python-team/applications/trac.git
 X-Python-Version: >= 2.5
 Homepage: http://trac.edgewall.com
