## trac 1.2.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,19 +1,26 @@
-# == Makefile for Trac related tasks (beyond those supported by setuptools) ==
-#
-# Automating testing, i18n tasks, documentation generation, ... see HELP below
+# == Makefile for Trac related tasks
+#
+# Automating testing, l10n tasks, documentation generation, ... see HELP below
 # ----------------------------------------------------------------------------
 #
 # Note about customization:
+#
 #   No changes to the present Makefile should be necessary,
-#   rather copy Makefile.cfg.sample to Makefile.cfg and adapt it
+#   configuration should take place in the Makefile.cfg file.
+#
+#   Copy Makefile.cfg.sample to Makefile.cfg and adapt it
 #   to match your local environment.
 #
 # Note that this is a GNU Makefile, nmake and other abominations are
-# not supported.
+# not supported. On Windows, you can use it from a msys2 shell, like
+# the one that comes part of https://git-for-windows.github.io.
 #
 # ============================================================================
 
 define HELP
+
+ The Trac Makefile is here to help automate development and
+ maintenance tasks.
 
  Please use `make <target>' where <target> is one of:
 
@@ -23,90 +30,20 @@
   [python=...]        variable for selecting Python version
   [pythonopts=...]    variable containing extra options for the interpreter
 
- ---------------- Testing tasks
-
-  unit-test           run unit tests
-  functional-test     run functional tests
-  test-wiki           shortcut for running all wiki unit tests
-  test                run all tests
-  coverage            run all tests, under coverage
-  figleaf             run all tests, under figleaf
-
-  [db=...]            variable for selecting database backend
-  [test=...]          variable for selecting a single test file
-  [testopts=...]      variable containing extra options for running tests
-  [coverageopts=...]  variable containing extra options for coverage
-
- ---------------- Code checking tasks
-
-  pylint              check code with pylint
-
- ---------------- Standalone test server
-
-  [start-]server      start tracd
-
-  [port=...]          variable for selecting the port
-  [auth=...]          variable for specifying authentication
-  [env=...]           variable for the trac environment or parent dir
-  [tracdopts=...]     variable containing extra options for tracd
-
- ---------------- L10N tasks
-
-  init-xy             create catalogs for given xy locale
-
-  extraction          regenerate the catalog templates
-
-  update              update all the catalog files from the templates
-  update-xy           update the catalogs for the xy locale only
-
-  compile             compile all the catalog files
-  compile-xy          compile the catalogs for the xy locale only
-
-  check               verify all the catalog files
-  check-xy            verify the catalogs for the xy locale only
-
-  stats               detailed translation statistics for all catalogs
-  stats-pot           total messages in the catalog templates
-  stats-xy            translated, fuzzy, untranslated for the xy locale only
-
-  summary             display percent translated for all catalogs
-  summary-xy          display percent translated for the xy locale only
-                      (suitable for a commit message)
-
-  diff                show relevant changes after an update for all catalogs
-  diff-xy             show relevant changes after an update for the xy locale
-  [vc=...]            variable containing the version control command to use
-
-  [locale=...]        variable for selecting a set of locales
-
-  [updateopts=...]    variable containing extra options for update (e.g. -N)
-
- ---------------- Documentation tasks
-
-  apidoc|sphinx       generate the Sphinx documentation (all specified formats)
-  apidoc-html         generate the Sphinx documentation in HTML format
-  apidoc-pdf          generate the Sphinx documentation in PDF format
-  apidoc-check        check for missing symbols in Sphinx documentation
-
-  apiref|epydoc       generate the full API reference using Epydoc
-
-  [sphinxformat=...]  list of formats for generated documentation
-  [sphinxopts=...]    variable containing extra options for Sphinx
-  [sphinxopts-html=...] variable containing extra options used for html format
-  [epydocopts=...]    variable containing extra options for Epydoc
-  [dotpath=/.../dot]  path to Graphviz dot program (not used yet)
-
- ---------------- Miscellaneous
-
-  start-admin         start trac-admin (on `env')
-  start-python        start the Python interpreter
-
-  [adminopts=...]     variable containing extra options for trac-admin
-
-endef
+ As there are many more tasks available, you can ask for specific help:
+
+  help-code           tasks for checking the code style
+  help-testing        tasks and configuration parameters for testing
+  help-server         tasks and configuration for starting tracd
+  help-l10n           tasks and configuration for L10N maintenance
+  help-doc            tasks and configuration for preparing Trac documentation
+  help-release        tasks and configuration for preparing a Trac release
+  help-misc           several other tasks
+
+  help-all            all the tasks at a glance...
+endef
+# `
 export HELP
-
-# ' (keep emacs font-lock happy)
 
 define HELP_CFG
  It looks like you don't have a Makefile.cfg file yet.
@@ -123,7 +60,7 @@
 #
 # ----------------------------------------------------------------------------
 
-.PHONY: all help status clean clean-bytecode clean-mo
+.PHONY: all help help-all status clean clean-bytecode clean-mo
 
 %.py : status
 	$(PYTHON) setup.py -q test -s $(subst /,.,$(@:.py=)).test_suite $(testopts)
@@ -138,6 +75,15 @@
 help: Makefile.cfg
 	@echo "$$HELP"
 
+help_variables = $(filter HELP_%,$(.VARIABLES))
+help_targets = $(filter-out help-CFG,$(help_variables:HELP_%=help-%))
+
+.SECONDEXPANSION:
+help-all: $$(sort $$(help_targets))
+
+
+help-%: Makefile.cfg
+	@echo "$${HELP_$*}"
 
 Makefile.cfg:
 	@echo "$$HELP_CFG"
@@ -164,7 +110,7 @@
 Trac.egg-info: status
 	$(PYTHON) setup.py egg_info
 
-clean: clean-bytecode clean-figleaf clean-coverage clean-doc
+clean: clean-bytecode clean-coverage clean-doc
 
 clean-bytecode:
 	find . -name \*.py[co] -exec rm {} \;
@@ -183,11 +129,48 @@
 # ----------------------------------------------------------------------------
 
 
+
 # ----------------------------------------------------------------------------
 #
 # L10N related tasks
 #
 # ----------------------------------------------------------------------------
+
+define HELP_l10n
+
+ ---------------- L10N tasks
+
+  init-xy             create catalogs for given xy locale
+
+  extraction          regenerate the catalog templates
+
+  update              update all the catalog files from the templates
+  update-xy           update the catalogs for the xy locale only
+
+  compile             compile all the catalog files
+  compile-xy          compile the catalogs for the xy locale only
+
+  check               verify all the catalog files
+  check-xy            verify the catalogs for the xy locale only
+
+  stats               detailed translation statistics for all catalogs
+  stats-pot           total messages in the catalog templates
+  stats-xy            translated, fuzzy, untranslated for the xy locale only
+
+  summary             display percent translated for all catalogs
+  summary-xy          display percent translated for the xy locale only
+                      (suitable for a commit message)
+
+  diff                show relevant changes after an update for all catalogs
+  diff-xy             show relevant changes after an update for the xy locale
+  [vc=...]            variable containing the version control command to use
+
+  [locale=...]        variable for selecting a set of locales
+
+  [updateopts=...]    variable containing extra options for update (e.g. -N)
+
+endef
+export HELP_l10n
 
 catalogs = messages messages-js tracini
 
@@ -335,11 +318,63 @@
 	find trac/htdocs/js/messages -name \*.js -exec rm {} \;
 
 
+
+# ----------------------------------------------------------------------------
+#
+# Code checking tasks
+#
+# ----------------------------------------------------------------------------
+
+define HELP_code
+
+ ---------------- Code checking tasks
+
+  pylint              check code with pylint
+  [module=...]        variable for specifying a module or package
+
+endef
+export HELP_code
+
+pylintopts = --persistent=n --init-import=y \
+--disable=E0102,E0211,E0213,E0602,E0611,E1002,E1101,E1102,E1103 \
+--disable=F0401 \
+--disable=W0102,W0141,W0142,W0201,W0212,W0221,W0223,W0231,W0232, \
+--disable=W0401,W0511,W0603,W0613,W0614,W0621,W0622,W0703 \
+--disable=C0103,C0111 \
+
+ifdef module
+pylint:
+	pylint $(pylintopts) $(subst /,.,$(module:.py=))
+else
+pylint:
+	pylint $(pylintopts) trac tracopt
+endif
+
+
+
 # ----------------------------------------------------------------------------
 #
 # Testing related tasks
 #
 # ----------------------------------------------------------------------------
+
+define HELP_testing
+
+ ---------------- Testing tasks
+
+  unit-test           run unit tests
+  functional-test     run functional tests
+  test-wiki           shortcut for running all wiki unit tests
+  test                run all tests
+  coverage            run all tests, under coverage
+
+  [db=...]            variable for selecting database backend
+  [test=...]          variable for selecting a single test file
+  [testopts=...]      variable containing extra options for running tests
+  [coverageopts=...]  variable containing extra options for coverage
+
+endef
+export HELP_testing
 
 .PHONY: test unit-test functional-test test-wiki
 
@@ -353,24 +388,6 @@
 
 test-wiki:
 	$(PYTHON) trac/tests/allwiki.py $(testopts)
-
-# ----------------------------------------------------------------------------
-#
-# Code checking tasks
-#
-# ----------------------------------------------------------------------------
-
-.PHONY: pylint
-
-pylint:
-	pylint \
-	    --include-ids=y --persistent=n --comment=n --init-import=y \
-	    --disable=E0102,E0211,E0213,E0602,E0611,E1002,E1101,E1102,E1103 \
-	    --disable=F0401 \
-	    --disable=W0102,W0141,W0142,W0201,W0212,W0221,W0223,W0231,W0232, \
-	    --disable=W0401,W0511,W0603,W0613,W0614,W0621,W0622,W0703 \
-	    --disable=C0103,C0111 \
-	    trac tracopt
 
 # ----------------------------------------------------------------------------
 #
@@ -403,3 +420,9 @@
 
 functional-test-coverage:
 	FIGLEAF='coverage run -a $(coverageopts) $(COVERAGEOPTS)' \
+	$(PYTHON) trac/tests/functional/__init__.py -v $(testopts)
+
+show-coverage: htmlcov/index.html
+	$(if $(START),$(START) $(<))
+
+htmlcov/index.html:
