=== debian/changelog ===
trac (1.2.3+dfsg-1) unstable; urgency=medium

  * new upstream version

 -- W. Martin Borgert <debacle@debian.org>  Sat, 10 Nov 2018 23:14:24 +0000
