=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/applications/trac
 Vcs-Git: https://salsa.debian.org/python-team/applications/trac.git
-X-Python-Version: >= 2.5
 Homepage: http://trac.edgewall.com
 
 Package: trac
