=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://ftp.edgewall.com/pub/trac/Trac-(1.2.*).tar.gz debian uupdate
