## trac 1.5.2+dfsg

=== debian/changelog ===
trac (1.5.2+dfsg-2) unstable; urgency=medium

  * Source-only re-upload with only minor changes

 -- Martin <debacle@debian.org>  Sun, 10 Jan 2021 20:11:55 +0000

trac (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version, based on Python 3
    Note: Template engine Genshi replaced with Jinja2

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Martin <debacle@debian.org>  Sun, 20 Dec 2020 11:32:18 +0000
